Subject: Re: linux-next: Tree for January 31 (ip_vs)

From: Simon Horman <[email-masked]>
Date: Tue, 1 Feb 2011 11:03:07 +1100

On Mon, Jan 31, 2011 at 03:00:31PM -0800, David Miller wrote:
> From: Simon Horman <[email-masked]>
> Date: Tue, 1 Feb 2011 09:57:28 +1100
> 
> > On Tue, Feb 01, 2011 at 08:18:47AM +1100, Simon Horman wrote:
> >> On Mon, Jan 31, 2011 at 10:18:29AM -0800, Randy Dunlap wrote:
> >> > On Mon, 31 Jan 2011 17:41:13 +1100 Stephen Rothwell wrote:
> >> > 
> >> > > Hi all,
> >> > > 
> >> > > Changes since 20110121:
> >> > > 
> >> > > The net tree lost its build failure.
> >> > 
> >> > 
> >> > When CONFIG_SYSCTL is not enabled:
> >> > 
> >> > net/netfilter/ipvs/ip_vs_core.c:1891: warning: format '%lu' expects type 'long unsigned int', but argument 2 has type 'unsigned int'
> >> > ERROR: "unregister_net_sysctl_table" [net/netfilter/ipvs/ip_vs.ko] undefined!
> >> > ERROR: "register_net_sysctl_table" [net/netfilter/ipvs/ip_vs.ko] undefined!
> >> 
> >> Thanks, I'm looking into it.
> > 
> > On a related note, does IPVS need to handle the case
> > where CONFIG_PROC_FS is not enabled?
> 
> Yes.

Thanks.

I checked and it does seem to compile without CONFIG_PROC_FS
and now also without CONFIG_SYSCTL, I'll send a patch for that right
after I finish this email.

I think that in both cases there is dead code, I'll clean that up next.